Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
datapush::AssetLogPushMessage Struct Reference

Message for pushing one full log record for all sensors. More...

## Public Attributes
int | linkId
| Link ID of the Device (always 1 without a Linking Setup)
string | serialNumber
| Device serial number.
string | name
| Device name (user-configurable)
vector< assetmgrmodel::AssetStripLogger.Record > | records

## Detailed Description

Message for pushing one full log record for all sensors.

Definition at line 34 of file assetmgrpush.idl.

## Member Data Documentation

## ◆ linkId

int datapush::AssetLogPushMessage::linkId

Link ID of the Device (always 1 without a Linking Setup)

Definition at line 35 of file assetmgrpush.idl.

## ◆ name

string datapush::AssetLogPushMessage::name

Device name (user-configurable)

Definition at line 37 of file assetmgrpush.idl.

## ◆ records

vector<assetmgrmodel::AssetStripLogger.Record> datapush::AssetLogPushMessage::records

Definition at line 38 of file assetmgrpush.idl.

## ◆ serialNumber

string datapush::AssetLogPushMessage::serialNumber

Device serial number.

Definition at line 36 of file assetmgrpush.idl.

The documentation for this struct was generated from the following file:

- assetmgrpush.idl